package com.persagy.apm.report.paragraphs.enums;

import com.persagy.apm.report.outline.constants.enums.ReportStateEnum;

import java.util.List;

/**
 * 段落模板编码枚举类
 *
 * @author lixing
 * @version V1.0 2021/7/29 6:19 下午
 **/
public enum ParagraphModelCodeEnum {
    /* 能耗用量 */
    energyUsage,
    /* 能效情况 */
    energyEfficiency,
    /* 能耗预算 */
    energyBudget,
    /* 环境指标 */
    environment,
    /* 数据质量 */
    dataAnalysis;

    /**
     * 字符串转换为段落编码枚举对象
     *
     * @param modelCode 段落模板编码字符串
     * @return 段落模板编码枚举对象
     * @author lixing
     * @version V1.0 2021/7/30 10:03 上午
     */
    public static ParagraphModelCodeEnum convert2ModelCodeEnum(String modelCode) {
        ParagraphModelCodeEnum[] values = ParagraphModelCodeEnum.values();
        for (ParagraphModelCodeEnum value : values) {
            if (value.name().equals(modelCode)) {
                return value;
            }
        }
        return null;
    }

}
