package com.persagy.apm.report.userconfig.function.dao;

import com.persagy.apm.report.userconfig.function.model.Function;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 功能点(Function)dao层
 *
 * @author lixing
 * @version V1.0 2021-07-23 17:55:18
 */
@Mapper
public interface FunctionMapper extends BaseMapper<Function> {
    /**
     * 根据指标定义查询符合条件的指标
     *
     * @param dataSource 数据来源
     * @param defineMap 指标定义 code -> value
     * @return 符合条件的指标列表
     * @author lixing
     * @version V1.0 2021/7/27 10:01 上午
     */
    List<Function> queryByDefine(String dataSource, Map<String, Object> defineMap);
}
