package com.persagy.apm.report.userconfig.paragraphcustom.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.report.detail.model.vo.AttrDefineVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.List;

/**
 * 段落定制(ParagraphCustom)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-15 18:12:05
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "段落定制")
@TableName(autoResultMap = true)
public class ParagraphCustom extends AuditableEntity<ParagraphCustom> implements Serializable {
    private static final long serialVersionUID = -23691496446230900L;

    @ApiModelProperty("段落模板主键")
    private String modelId;

    @ApiModelProperty("头部属性")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private AttrDefineVO[] headerAttrs;

    @ApiModelProperty("列表属性")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private AttrDefineVO[] listAttrs;

    @ApiModelProperty("补充说明")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private AttrDefineVO[] supplement;

    public static String PROP_DEFINE_ID = "define_id";
    public static String PROP_HEADER_ATTRS = "header_attrs";
    public static String PROP_LIST_ATTRS = "list_attrs";

}
