package com.persagy.apm.report.userconfig.paragraphcustom.service;

import com.persagy.apm.report.userconfig.paragraphcustom.model.*;
import com.persagy.apm.report.userconfig.paragraphcustom.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 段落定制(ParagraphCustom) service接口
 *
 * @author lixing
 * @version V1.0 2021-07-15 18:12:04
 */
public interface IParagraphCustomService {

    /**
     * 创建段落定制
     *
     * @param addParagraphCustomDTO addDTO
     * @return 段落定制主键
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    String createParagraphCustom(AddParagraphCustomDTO addParagraphCustomDTO);

    /**
     * 段落定制详情
     *
     * @param id 主键
     * @return 段落定制do对象
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    ParagraphCustom queryParagraphCustomDetail(String id);

    /**
     * 更新段落定制
     *
     * @param updateParagraphCustomDTO updateDTO
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    void updateParagraphCustom(UpdateParagraphCustomDTO updateParagraphCustomDTO);

    /**
     * 删除段落定制
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    void deleteParagraphCustom(String id);

    /**
     * 查询段落定制
     *
     * @param queryParagraphCustomDTO queryDTO
     * @return List<ParagraphCustom>
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    List<ParagraphCustom> queryParagraphCustomList(QueryParagraphCustomDTO queryParagraphCustomDTO);

    /**
     * 分页查询段落定制
     *
     * @param pageQueryParagraphCustomDTO pageQueryDTO
     * @return IPage<ParagraphCustom>
     * @author lixing
     * @version V1.0 2021-07-15 18:12:04
     */
    IPage<ParagraphCustom> pageQueryParagraphCustom(PageQueryParagraphCustomDTO pageQueryParagraphCustomDTO);
}
