package com.persagy.apm.report.userconfig.paragraphmodel.service;

import com.persagy.apm.report.userconfig.paragraphmodel.model.*;
import com.persagy.apm.report.userconfig.paragraphmodel.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 段落模板(ParagraphModel) service接口
 *
 * @author lixing
 * @version V1.0 2021-07-20 10:26:10
 */
public interface IParagraphModelService {

    /**
     * 创建段落模板
     *
     * @param addParagraphModelDTO addDTO
     * @return 段落模板主键
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    String createParagraphModel(AddParagraphModelDTO addParagraphModelDTO);

    /**
     * 段落模板详情
     *
     * @param id 主键
     * @return 段落模板do对象
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    ParagraphModel queryParagraphModelDetail(String id);

    /**
     * 更新段落模板
     *
     * @param updateParagraphModelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    void updateParagraphModel(UpdateParagraphModelDTO updateParagraphModelDTO);

    /**
     * 删除段落模板
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    void deleteParagraphModel(String id);

    /**
     * 查询段落模板
     *
     * @param queryParagraphModelDTO queryDTO
     * @return List<ParagraphModel>
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    List<ParagraphModel> queryParagraphModelList(QueryParagraphModelDTO queryParagraphModelDTO);

    /**
     * 分页查询段落模板
     *
     * @param pageQueryParagraphModelDTO pageQueryDTO
     * @return IPage<ParagraphModel>
     * @author lixing
     * @version V1.0 2021-07-20 10:26:10
     */
    IPage<ParagraphModel> pageQueryParagraphModel(PageQueryParagraphModelDTO pageQueryParagraphModelDTO);
}
